OpenTTD Source: SlOrders< T > Class Template Reference

OpenTTD Source 15.3

Public Member Functions | Static Public Attributes
SlOrders< T > Class Template Reference
Inheritance diagram for SlOrders< T >:

## Public Member Functions
std::vector< Order > & | GetVector (T *container) const override
| Get instance of vector to load/save.
void | LoadCheck (T *container) const override
Public Member Functions inherited from VectorSaveLoadHandler< SlOrders< T >, T, Order >
virtual size_t | GetLength () const
| Get number of elements to load into vector.
void | Save (T *object) const override
void | Load (T *object) const override
Public Member Functions inherited from DefaultSaveLoadHandler< TImpl, TObject >
SaveLoadTable | GetDescription () const override
| Get the description of the fields in the savegame.
SaveLoadCompatTable | GetCompatDescription () const override
| Get the pre-header description of the fields in the savegame.
virtual void | Save (TObject *object) const
void | Save (void *object) const override
| Save the object to disk.
virtual void | Load (TObject *object) const
void | Load (void *object) const override
| Load the object from disk.
virtual void | LoadCheck (TObject *object) const
void | LoadCheck (void *object) const override
| Similar to load, but used only to validate savegames.
virtual void | FixPointers (TObject *object) const
void | FixPointers (void *object) const override
| A post-load callback to fix SL_REF integers into pointers.
Public Member Functions inherited from SaveLoadHandler
SaveLoadTable | GetLoadDescription () const
| Get the description for how to load the chunk.

## Static Public Attributes
static const SaveLoad | description []
static const SaveLoadCompatTable | compat_description = {}

## Additional Inherited Members
Data Fields inherited from SaveLoadHandler
std::optional< std::vector< SaveLoad > > | load_description

## Detailed Description

template<typename T>
class SlOrders< T >

Definition at line 218 of file order_sl.cpp.

## Member Function Documentation

## ◆ GetVector()

template<typename T >

std::vector< Order > & SlOrders< T >::GetVector | ( | T * | object | ) | const
| inlineoverridevirtual

Get instance of vector to load/save.

Parameters

  object | Object containing vector.

Returns
  Vector to load/save.

Implements VectorSaveLoadHandler< SlOrders< T >, T, Order >.

Definition at line 231 of file order_sl.cpp.

## ◆ LoadCheck()

template<typename T >

void SlOrders< T >::LoadCheck | ( | T * | container | ) | const
| inlineoverride

Definition at line 233 of file order_sl.cpp.

## Field Documentation

## ◆ compat_description

template<typename T >

const SaveLoadCompatTable SlOrders< T >::compat_description = {}
| inlinestatic

Definition at line 229 of file order_sl.cpp.

## ◆ description

template<typename T >

const SaveLoad SlOrders< T >::description[]
| inlinestatic

Initial value:
= {
SLE_VAR(Order, type, SLE_UINT8),
SLE_VAR(Order, flags, SLE_UINT8),
SLE_VAR(Order, dest, SLE_UINT16),
SLE_VAR(Order, refit_cargo, SLE_UINT8),
SLE_VAR(Order, wait_time, SLE_UINT16),
SLE_VAR(Order, travel_time, SLE_UINT16),
SLE_VAR(Order, max_speed, SLE_UINT16),
}
SLE_VAR
#define SLE_VAR(base, variable, type)
Storage of a variable in every version of a savegame.
Definition saveload.h:1017
Order
Definition order_base.h:33

Definition at line 220 of file order_sl.cpp.

The documentation for this class was generated from the following file:

- src/saveload/order_sl.cpp